Paying too much to process cards? Get a cheaper quote today.Schedule a call →

Report Runs

4 endpoints. Base URL https://api.paymentsonline.io, sandbox https://api.sandbox-paymentsonline.io.

Every request needs payments-api-key and payments-account.

GET/v1/report-runs

List all Report Runs

Returns a list of Report Runs. The Report Runs are sorted with the most recently created appearing first.

Query parameters

  • typearray of string (payments_summary_1 | payments_summary_2 | payouts_summary_1 | payouts_summary_2 | payouts_summary_3 | payouts_reconciliation_1 | payouts_detail_1 | fees_summary_1 | …)optional

    Only return ReportRuns whose type is included by this array. Examples: ?type=payments_summary_2,payouts_summary_2 and ?type=payouts_summary_2.

  • statusarray of string (queued | finished | failed)optional

    Only return ReportRuns whose status is included by this array. Examples: ?status=finished and ?status=finished,queued.

  • offsetnumberoptional

    The (zero-based) offset of the first item in the collection to return.

  • limitnumberoptional

    The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Request body application/jsonrequired

  • include_expiredbooleanoptional

    Whether to included expired Report Runs or not

Responses

200PaginatedDto | object

  • has_morebooleanrequired

    Whether or not there are more elements available after this set. If false, this set comprises the end of the list.

  • limitnumberoptional

    The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

  • offsetnumberoptional

    The (zero-based) offset of the first item in the collection to return.

  • totalnumberoptional

    The total items count.

  • itemsarray of ReportRunrequired

POST/v1/report-runs

Create a Report Run

Creates a Report Run.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Request body application/jsonrequired

  • parametersReportRunRequestParametersrequired

    The request paramaters of a Report Run

  • report_namestringoptional

    The name of the report. Can only be alphanumeric, and include hyphens (-), underscores (_), and periods (.)

  • typestring (payments_summary_1 | payments_summary_2 | payouts_summary_1 | payouts_summary_2 | payouts_summary_3 | payouts_reconciliation_1 | payouts_detail_1 | fees_summary_1 | …)required

    The type of a Report Run.

Payments Summary Report

{
  "parameters": {
    "account_id": "{{ACCOUNT_ID}}",
    "start_at": "2022-05-21",
    "end_at": "2022-10-19",
    "time_zone": "America/New_York"
  },
  "type": "payments_summary_1",
  "reportName": "Report name"
}

Responses

201ReportRun

  • account_idstringrequired

    The id of the associated account.

  • created_atstring date-timerequired

    Time at which the object was created.

  • failure_messagestringoptional

    The failure message of the report run, if status is 'failed'.

  • idstringrequired

    Unique identifier for the object.

  • parametersReportRunRequestParametersrequired

  • resultFileoptional

  • statusstring (queued | finished | failed)required

    The status of a report run.

  • typestring (payments_summary_1 | payments_summary_2 | payouts_summary_1 | payouts_summary_2 | payouts_summary_3 | payouts_reconciliation_1 | payouts_detail_1 | fees_summary_1 | …)required

    The type of a report run.

  • updated_atstring date-timerequired

    Time at which the object was last updated.

GET/v1/report-runs/{id}

Get a Report Run

Retrieves the details of an existing Report Run.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200ReportRun

  • account_idstringrequired

    The id of the associated account.

  • created_atstring date-timerequired

    Time at which the object was created.

  • failure_messagestringoptional

    The failure message of the report run, if status is 'failed'.

  • idstringrequired

    Unique identifier for the object.

  • parametersReportRunRequestParametersrequired

  • resultFileoptional

  • statusstring (queued | finished | failed)required

    The status of a report run.

  • typestring (payments_summary_1 | payments_summary_2 | payouts_summary_1 | payouts_summary_2 | payouts_summary_3 | payouts_reconciliation_1 | payouts_detail_1 | fees_summary_1 | …)required

    The type of a report run.

  • updated_atstring date-timerequired

    Time at which the object was last updated.

GET/v1/report-runs/{report_type}/report_columns

List available columns for customization by report run type

Retrieves a list of available columns for a given report run type.

Path parameters

  • report_typestringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200array of ReportColumnDefinition